Public Attributes | List of all members
_ll_dual_timer_init Struct Reference
Peripheral Driver » LL Driver » DUAL_TIMER » Structures » DUAL_TIM Exported init structures

LL DUAL TIMER init Structure definition. More...

`#include <gr55xx_ll_dual_tim.h>`

## Public Attributes
uint32_t | prescaler
uint32_t | counter_size
uint32_t | counter_mode
uint32_t | auto_reload

## Detailed Description

LL DUAL TIMER init Structure definition.

Definition at line 76 of file gr55xx_ll_dual_tim.h.

## Member Data Documentation

## ◆ auto_reload

uint32_t _ll_dual_timer_init::auto_reload

Specifies the auto reload value to be loaded into the active Auto-Reload Register at the next update event. This parameter must be a number between Min_Data=0x00000000 and Max_Data=0xFFFFFFFF. Some timer instances may support 16 bits counters. In that case this parameter must be a number between 0x0000 and 0xFFFF.

This feature can be modified afterwards using unitary function ll_dual_timer_set_auto_reload().

Definition at line 93 of file gr55xx_ll_dual_tim.h.

## ◆ counter_mode

uint32_t _ll_dual_timer_init::counter_mode

Specifies the counter mode. This parameter can be a value of DUAL_TIM counter mode.

This feature can be modified afterwards using unitary function ll_dual_timer_set_counter_mode().

Definition at line 88 of file gr55xx_ll_dual_tim.h.

## ◆ counter_size

uint32_t _ll_dual_timer_init::counter_size

Specifies the prescaler value used to divide the DUAL_TIMER clock. This parameter can be a value of DUAL_TIM counter size.

This feature can be modified afterwards using unitary function ll_dual_timer_set_counter_size().

Definition at line 83 of file gr55xx_ll_dual_tim.h.

## ◆ prescaler

uint32_t _ll_dual_timer_init::prescaler

Specifies the prescaler value used to divide the TIMER clock. This parameter can be a value of DUAL_TIM prescaler.

This feature can be modified afterwards using unitary function ll_dual_timer_set_prescaler().

Definition at line 78 of file gr55xx_ll_dual_tim.h.

The documentation for this struct was generated from the following file:

- gr55xx_ll_dual_tim.h